set nocount on
go

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[InputFields]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[InputFields]
GO

CREATE TABLE [dbo].[InputFields] (
	[ID] [int] IDENTITY (1, 1) NOT NULL ,
	[FType] [varchar] (50) NULL ,
	[FCaption] [varchar] (150) NULL ,
	[HasValues] [bit] NULL ,
	[FOrder] [int] NULL 
) ON [PRIMARY]
GO





if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[InputFieldValues]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[InputFieldValues]
GO

CREATE TABLE [dbo].[InputFieldValues] (
	[InputFieldID] [int] NOT NULL ,
	[FValue] [varchar] (150) NULL 
) ON [PRIMARY]
GO





if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Settings]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[Settings]
GO

CREATE TABLE [dbo].[Settings] (
		[LicenseKey] [varchar] (100) NULL ,
		[IntMode] bit null
) ON [PRIMARY]
GO





if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[SQLChanges]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[SQLChanges]
GO

CREATE TABLE [dbo].[SQLChanges] (
	[RequestsID] [int] IDENTITY (1, 1) NOT NULL ,
	[Field1Label] [varchar] (50) NULL ,
	[Field1Value] [varchar] (150) NULL ,
	[Field2Label] [varchar] (50) NULL ,
	[Field2Value] [varchar] (150) NULL ,
	[Field3Label] [varchar] (50) NULL ,
	[Field3Value] [varchar] (150) NULL ,
	[Field4Label] [varchar] (50) NULL ,
	[Field5Label] [varchar] (50) NULL ,
	[Field6Label] [varchar] (50) NULL ,
	[Field7Label] [varchar] (50) NULL ,
	[Field8Label] [varchar] (50) NULL ,
	[Field4Value] [varchar] (150) NULL ,
	[Field5Value] [varchar] (150) NULL ,
	[Field6Value] [varchar] (150) NULL ,
	[Field7Value] [varchar] (150) NULL ,
	[Field8Value] [varchar] (150) NULL ,
	[SQLText] [text] NULL ,
	[Approved] [bit] default 0 not NULL ,
	[ApprovedBy] [varchar] (50) NULL ,
	[SubmittedBy] [varchar] (50) NULL ,
	[SubmitDate] [datetime] default getdate() not NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO





if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Users]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[Users]
GO

CREATE TABLE [dbo].[Users] (
	[UserID] [varchar] (50) NULL ,
	[Submit] [bit] NULL ,
	[Approve] [bit] NULL ,
	[Script] [bit] NULL ,
	[Admin] [bit] NULL ,
	[Type] [varchar] (10) NULL ,
	[Password] [varchar] (50) NULL 
) ON [PRIMARY]
GO

insert into users (userid,submit,approve,script, admin,type,password) values ('RAASAdmin',0,0,0,1,'RAAS','RAAS')
go

print 'Script Complete ******************'
go





















